/*
  PROGRAM BY EMAN FOR 2K-SOFT 
  WWW : WWW.2K-SOFT.GAMECODE.CZ   
*/

#ifndef _LOGFILE_H_
#define _LOGFILE_H_

#include "../App/EngineH.h"

class C_LOG_FILE
{
private :
	char *_file_name;
	FILE *_soubor;
	inline void _n() { fprintf(_soubor,"\n"); }

public :
	C_LOG_FILE();
	C_LOG_FILE(std::string name);
	~C_LOG_FILE();
	
public :	
	bool Create(const char *filename);
	void Clear();
	void Write(const char *string);
	void Write(int value);

	void ExWrite(std::string text);
	void ExWriteln(std::string text);
	void ExWriteln(std::string text, int value);
};
extern C_LOG_FILE logEngine;

#endif //_LOGFILE_H_